%?mingw_package_header

# first two digits of version
%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')

%define po_package gtksourceview-3.0

Name:           mingw-gtksourceview3
Version:        3.24.11
Release:        %mkrel 3
Summary:        MinGW Windows library for viewing source files

# the library itself is LGPL, some .lang files are GPL
License:        LGPLv2+ and GPLv2+
Group:          Development/Other
URL:            http://www.gtk.org
Source0:        https://download.gnome.org/sources/gtksourceview/%{release_version}/gtksourceview-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw64-binutils
BuildRequires:  mingw32-gettext
BuildRequires:  mingw64-gettext
BuildRequires:  mingw32-gtk3
BuildRequires:  mingw64-gtk3
BuildRequires:  mingw32-libxml2
BuildRequires:  mingw64-libxml2

# Native one for msgfmt
BuildRequires:  gettext
# Native one for glib-genmarshal and glib-mkenums
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  intltool

%description
GtkSourceView is a text widget that extends the standard GTK+
GtkTextView widget. It improves GtkTextView by implementing
syntax highlighting and other features typical of a source code editor.

This package contains the MinGW Windows cross compiled GtkSourceView library,
version 3.


%package -n     mingw32-gtksourceview3
Summary:        MinGW Windows library for viewing source files

%description -n mingw32-gtksourceview3
GtkSourceView is a text widget that extends the standard GTK+
GtkTextView widget. It improves GtkTextView by implementing
syntax highlighting and other features typical of a source code editor.

This package contains the MinGW Windows cross compiled GtkSourceView library,
version 3.


%package -n     mingw64-gtksourceview3
Summary:        MinGW Windows library for viewing source files

%description -n mingw64-gtksourceview3
GtkSourceView is a text widget that extends the standard GTK+
GtkTextView widget. It improves GtkTextView by implementing
syntax highlighting and other features typical of a source code editor.

This package contains the MinGW Windows cross compiled GtkSourceView library,
version 3.


%?mingw_debug_package


%prep
%setup -q -n gtksourceview-%{version}


%build
# Workaround for intltool bug #398571 which causes translations to go to
# %%{mingw32_libdir}/locale instead of %%{mingw32_datadir}/locale
# https://bugs.launchpad.net/intltool/+bug/398571
export DATADIRNAME=share

%mingw_configure \
  --disable-static \
  --disable-gtk-doc \
  --disable-introspection

%mingw_make %{?_smp_mflags} V=1


%install
%mingw_make install DESTDIR=$RPM_BUILD_ROOT

# Remove .la files
rm $RPM_BUILD_ROOT%{mingw32_libdir}/*.la
rm $RPM_BUILD_ROOT%{mingw64_libdir}/*.la

# Remove documentation that duplicates what's in the native package
rm -rf $RPM_BUILD_ROOT%{mingw32_datadir}/gtk-doc
rm -rf $RPM_BUILD_ROOT%{mingw64_datadir}/gtk-doc

%mingw_find_lang %{po_package}


%files -n mingw32-gtksourceview3 -f mingw32-%{po_package}.lang
%license COPYING
%{mingw32_bindir}/libgtksourceview-3.0-1.dll
%{mingw32_includedir}/gtksourceview-3.0/
%{mingw32_libdir}/libgtksourceview-3.0.dll.a
%{mingw32_libdir}/pkgconfig/gtksourceview-3.0.pc
%{mingw32_datadir}/gtksourceview-3.0/

%files -n mingw64-gtksourceview3 -f mingw64-%{po_package}.lang
%license COPYING
%{mingw64_bindir}/libgtksourceview-3.0-1.dll
%{mingw64_includedir}/gtksourceview-3.0/
%{mingw64_libdir}/libgtksourceview-3.0.dll.a
%{mingw64_libdir}/pkgconfig/gtksourceview-3.0.pc
%{mingw64_datadir}/gtksourceview-3.0/




%changelog
* Fri Mar 25 2022 umeabot <umeabot> 3.24.11-3.mga9
+ Revision: 1826433
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 3.24.11-2.mga8
+ Revision: 1526834
- Mageia 8 Mass Rebuild

* Tue Jul 02 2019 ovitters <ovitters> 3.24.11-1.mga8
+ Revision: 1417623
- new version 3.24.11

* Sat Mar 16 2019 daviddavid <daviddavid> 3.24.3-1.mga7
+ Revision: 1377807
- new version: 3.24.3

* Thu Sep 20 2018 umeabot <umeabot> 3.20.4-2.mga7
+ Revision: 1279797
- Mageia 7 Mass Rebuild

* Mon Jul 17 2017 ovitters <ovitters> 3.20.4-1.mga7
+ Revision: 1124605
- new version 3.20.4

* Thu May 26 2016 tv <tv> 3.20.3-1.mga6
+ Revision: 1018806
- new release

* Thu Apr 07 2016 tv <tv> 3.20.0-1.mga6
+ Revision: 999119
- new release

* Fri Feb 05 2016 umeabot <umeabot> 3.10.3-4.mga6
+ Revision: 938276
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.10.3-3.mga5
+ Revision: 740763
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.10.3-2.mga5
+ Revision: 682456
- Mageia 5 Mass Rebuild

* Sun Jun 29 2014 ovitters <ovitters> 3.10.3-1.mga5
+ Revision: 640951
- new version 3.10.3

* Tue Feb 04 2014 ovitters <ovitters> 3.10.2-1.mga5
+ Revision: 582701
- new version 3.10.2

* Mon Oct 28 2013 neoclust <neoclust> 3.9.91-1.mga4
+ Revision: 547654
- imported package mingw-gtksourceview3


* Thu Sep 12 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 3.9.91-1
- Update to 3.9.91
- Fixes FTBFS against latest mingw-gtk3

* Sat Aug  3 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 3.8.1-4
- Make sure translations get installed to the correct folder (intltool bug #398571)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jun 16 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 3.8.1-2
- Rebuild to resolve InterlockedCompareExchange regression in mingw32 libraries

* Sun Jun 09 2013 Kalev Lember <kalevlember@gmail.com> - 3.8.1-1
- Update to 3.8.1

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Nov 28 2012 Kalev Lember <kalevlember@gmail.com> - 3.6.1-1
- Update to 3.6.1

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Apr 17 2012 Kalev Lember <kalevlember@gmail.com> - 3.4.1-1
- Update to 3.4.1

* Mon Mar 26 2012 Kalev Lember <kalevlember@gmail.com> - 3.4.0-1
- Update to 3.4.0

* Fri Mar 16 2012 Kalev Lember <kalevlember@gmail.com> - 3.2.0-5
- Build 64 bit Windows binaries

* Tue Feb 28 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 3.2.0-4
- Rebuild against the mingw-w64 toolchain

* Tue Jan 31 2012 Kalev Lember <kalevlember@gmail.com> - 3.2.0-3
- Rebuilt for libpng 1.5
- Remove .la files

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Sep 30 2011 Kalev Lember <kalevlember@gmail.com> - 3.2.0-1
- Update to 3.2.0

* Sat Aug 20 2011 Kalev Lember <kalevlember@gmail.com> - 3.1.4-2
- Explicitly disable introspection (#730781)
- Added comments about native buildrequires

* Mon Aug 15 2011 Kalev Lember <kalevlember@gmail.com> - 3.1.4-1
- Initial RPM release
